euc_kr.c File Reference
`#include "regenc.h"`

Go to the source code of this file.

## Macros

#define | A ACCEPT
#define | F FAILURE
#define | RETURN(n)
#define | euckr_islead(c) ((c) < 0xa1 || (c) == 0xff)

## Enumerations

enum

state_t {
FAILURE = -2, ACCEPT = -1, S0 = 0, S1,
FAILURE = -2, ACCEPT = -1, S0 = 0, S1,
FAILURE = -2, ACCEPT = -1, S0 = 0, S1,
S2, S3, S4, S5,
S6, FAILURE = -2, ACCEPT = -1, S0 = 0,
S1, S2, FAILURE = -2, ACCEPT = -1,
S0 = 0, S1, FAILURE = -2, ACCEPT = -1,
S0 = 0, S1, S2, S3,
FAILURE = -2, ACCEPT = -1, S0 = 0, S1,
S2, S3, FAILURE = -2, ACCEPT = -1,
S0 = 0, S1, FAILURE = -2, ACCEPT = -1,
S0 = 0, S1, FAILURE = -2, ACCEPT,
S0, S1, S2, S3,
S4, S5, S6, S7
}

## Functions

static int | euckr_mbc_enc_len (const UChar *p, const UChar *e, OnigEncoding enc ARG_UNUSED)
static OnigCodePoint | euckr_mbc_to_code (const UChar *p, const UChar *end, OnigEncoding enc)
static int | euckr_code_to_mbc (OnigCodePoint code, UChar *buf, OnigEncoding enc)
static int | euckr_mbc_case_fold (OnigCaseFoldType flag, const UChar **pp, const UChar *end, UChar *lower, OnigEncoding enc)
static int | euckr_is_code_ctype (OnigCodePoint code, unsigned int ctype, OnigEncoding enc)
static UChar * | euckr_left_adjust_char_head (const UChar *start, const UChar *s, const UChar *end, OnigEncoding enc)
static int | euckr_is_allowed_reverse_match (const UChar *s, const UChar *end ARG_UNUSED, OnigEncoding enc ARG_UNUSED)
| OnigEncodingDefine (euc_kr, EUC_KR)

## Variables

static const int | EncLen_EUCKR []
static const signed char | trans [][0x100]

## Macro Definition Documentation

#define A ACCEPT

Definition at line 52 of file euc_kr.c.

#define euckr_islead | ( |  | c | ) | ((c) < 0xa1 || (c) == 0xff)

Definition at line 145 of file euc_kr.c.

Referenced by euckr_left_adjust_char_head().

#define F FAILURE

Definition at line 53 of file euc_kr.c.

#define RETURN | ( |  | n | ) |

Value:
return s == ACCEPT ? ONIGENC_CONSTRUCT_MBCLEN_CHARFOUND(n) : \
ONIGENC_CONSTRUCT_MBCLEN_INVALID()

## Enumeration Type Documentation

enum state_t

Enumerator
FAILURE |
ACCEPT |
S0 |
S1 |
FAILURE |
ACCEPT |
S0 |
S1 |
FAILURE |
ACCEPT |
S0 |
S1 |
S2 |
S3 |
S4 |
S5 |
S6 |
FAILURE |
ACCEPT |
S0 |
S1 |
S2 |
FAILURE |
ACCEPT |
S0 |
S1 |
FAILURE |
ACCEPT |
S0 |
S1 |
S2 |
S3 |
FAILURE |
ACCEPT |
S0 |
S1 |
S2 |
S3 |
FAILURE |
ACCEPT |
S0 |
S1 |
FAILURE |
ACCEPT |
S0 |
S1 |
FAILURE |
ACCEPT |
S0 |
S1 |
S2 |
S3 |
S4 |
S5 |
S6 |
S7 |

Definition at line 51 of file euc_kr.c.

## Function Documentation

static int euckr_code_to_mbc | ( | OnigCodePoint | code,
|  | UChar * | buf,
|  | OnigEncoding | enc
| ) |  |

static

Definition at line 117 of file euc_kr.c.

References onigenc_mb2_code_to_mbc().

static int euckr_is_allowed_reverse_match | ( | const UChar * | s,
|  | const UChar *end | ARG_UNUSED,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 167 of file euc_kr.c.

References FALSE, TRUE, and UChar.

static int euckr_is_code_ctype | ( | OnigCodePoint | code,
|  | unsigned int | ctype,
|  | OnigEncoding | enc
| ) |  |

static

Definition at line 140 of file euc_kr.c.

References onigenc_mb2_is_code_ctype().

static UChar* euckr_left_adjust_char_head | ( | const UChar * | start,
|  | const UChar * | s,
|  | const UChar * | end,
|  | OnigEncoding | enc
| ) |  |

static

Definition at line 148 of file euc_kr.c.

References enclen, euckr_islead, len, p, and UChar.

static int euckr_mbc_case_fold | ( | OnigCaseFoldType | flag,
|  | const UChar ** | pp,
|  | const UChar * | end,
|  | UChar * | lower,
|  | OnigEncoding | enc
| ) |  |

static

Definition at line 123 of file euc_kr.c.

References onigenc_mbn_mbc_case_fold().

static int euckr_mbc_enc_len | ( | const UChar * | p,
|  | const UChar * | e,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 96 of file euc_kr.c.

References EncLen_EUCKR, ONIGENC_CONSTRUCT_MBCLEN_NEEDMORE, RETURN, and trans.

static OnigCodePoint euckr_mbc_to_code | ( | const UChar * | p,
|  | const UChar * | end,
|  | OnigEncoding | enc
| ) |  |

static

Definition at line 111 of file euc_kr.c.

References onigenc_mbn_mbc_to_code().

OnigEncodingDefine | ( | euc_kr | ,
|  | EUC_KR |
| ) |  |

## Variable Documentation

const int EncLen_EUCKR[]

static

Initial value:
= {
1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 1
}

Definition at line 32 of file euc_kr.c.

Referenced by euckr_mbc_enc_len().

const signed char trans[][0x100]

static

Definition at line 54 of file euc_kr.c.

Referenced by euckr_mbc_enc_len().